"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.register = void 0;
const findReferences = require("./references");
const commands_1 = require("../commands");
function register({ sourceFiles, getTsLs }) {
    const _findReferences = findReferences.register(arguments[0]);
    return (codeLens, canShowReferences) => {
        var _a, _b, _c;
        const data = codeLens.data;
        const { lsType, uri, offset, tsUri, tsOffset, } = data;
        const tsLs = getTsLs(lsType);
        const doc = uri ? (_b = (_a = sourceFiles.get(uri)) === null || _a === void 0 ? void 0 : _a.getTextDocument()) !== null && _b !== void 0 ? _b : tsLs.__internal__.getTextDocument(uri) : undefined;
        const tsDoc = tsUri ? tsLs.__internal__.getTextDocument(tsUri) : undefined;
        const sourceFile = uri ? sourceFiles.get(uri) : undefined;
        if (uri && doc && tsDoc && offset !== undefined && tsOffset !== undefined) {
            const pos = doc.positionAt(offset);
            const vueReferences = _findReferences(uri, pos);
            let references = vueReferences;
            if (sourceFile) {
                let isCssLocation = false;
                for (const cssSourceMap of sourceFile.getCssSourceMaps()) {
                    if (cssSourceMap.isSourceRange(pos)) {
                        isCssLocation = true;
                    }
                }
                if (isCssLocation) {
                    references = vueReferences === null || vueReferences === void 0 ? void 0 : vueReferences.filter(ref => {
                        if (ref.uri === uri) {
                            for (const cssSourceMap of sourceFile.getCssSourceMaps()) {
                                if (cssSourceMap.isSourceRange(ref.range.start, ref.range.end)) {
                                    return false;
                                }
                            }
                        }
                        return true;
                    });
                }
                else {
                    references = vueReferences === null || vueReferences === void 0 ? void 0 : vueReferences.filter(ref => {
                        if (ref.uri === uri) {
                            return false;
                        }
                        return true;
                    });
                }
            }
            else {
                references = vueReferences === null || vueReferences === void 0 ? void 0 : vueReferences.filter(ref => {
                    if (ref.uri === uri) {
                        return false;
                    }
                    return true;
                });
            }
            const referencesCount = (_c = references === null || references === void 0 ? void 0 : references.length) !== null && _c !== void 0 ? _c : 0;
            codeLens.command = {
                title: referencesCount === 1 ? '1 reference' : `${referencesCount} references`,
                command: canShowReferences ? commands_1.Commands.SHOW_REFERENCES : '',
                arguments: [uri, codeLens.range.start, vueReferences],
            };
        }
        return codeLens;
    };
}
exports.register = register;
//# sourceMappingURL=codeLensResolve.js.map