"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.register = void 0;
function register({ sourceFiles, getTsLs }) {
    return (uri, position, context) => {
        const tsResult = getTsResult();
        if (tsResult)
            return tsResult;
        function getTsResult() {
            for (const tsLoc of sourceFiles.toTsLocations(uri, position)) {
                if (tsLoc.type === 'embedded-ts' && !tsLoc.range.data.capabilities.basic)
                    continue;
                if (tsLoc.type === 'source-ts' && tsLoc.lsType !== 'script')
                    continue;
                const result = getTsLs(tsLoc.lsType).getSignatureHelp(tsLoc.uri, tsLoc.range.start, context);
                if (result) {
                    return result;
                }
            }
        }
    };
}
exports.register = register;
//# sourceMappingURL=signatureHelp.js.map