import { TextDocument } from 'vscode-languageserver-textdocument';
import * as shared from '@volar/shared';
import { Ref } from '@vue/reactivity';
import { TsSourceMap, TeleportSourceMap } from '../utils/sourceMaps';
import type { parseScriptRanges } from '../parsers/scriptRanges';
import type { parseScriptSetupRanges } from '../parsers/scriptSetupRanges';
export declare function useSfcScriptGen(lsType: 'template' | 'script', vueUri: string, vueDoc: Ref<TextDocument>, script: Ref<shared.Sfc['script']>, scriptSetup: Ref<shared.Sfc['scriptSetup']>, scriptRanges: Ref<ReturnType<typeof parseScriptRanges> | undefined>, scriptSetupRanges: Ref<ReturnType<typeof parseScriptSetupRanges> | undefined>, sfcTemplateCompileResult: ReturnType<(typeof import('./useSfcTemplateCompileResult'))['useSfcTemplateCompileResult']>, sfcStyles: ReturnType<(typeof import('./useSfcStyles'))['useSfcStyles']>['textDocuments']): {
    lang: import("@vue/reactivity").ComputedRef<string>;
    textDocument: import("@vue/reactivity").ComputedRef<TextDocument>;
    textDocumentTs: import("@vue/reactivity").ComputedRef<TextDocument | undefined>;
    sourceMap: import("@vue/reactivity").ComputedRef<TsSourceMap>;
    teleportSourceMap: import("@vue/reactivity").ComputedRef<TeleportSourceMap>;
};
